package nckd.jimin.jyyy.fi.plugin.operate.Helper;

import nckd.jimin.jyyy.fi.common.ReimAmountSourceTypeEnum;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 个人报销额度实体类
 */
public class PersonReimQuotaVO {
    
    /**
     * 用户ID
     */
    private Long userId;
    
    /**
     * 公司ID
     */
    private Long companyId;
    
    /**
     * 费用项目ID
     */
    private Long expenseItemId;
    
    /**
     * 币别ID
     */
    private Long currencyId;
    
    /**
     * 额度金额
     */
    private BigDecimal amount;

    private ReimAmountSourceTypeEnum sourcetype;
    /**
     * 来源单据ID
     */
    private String sourcebillid;

    private String limitRelasetId;

    private int year ;

    private int month ;

    public PersonReimQuotaVO(Long userId, Long companyId, Long expenseItemId, Long currencyId, BigDecimal amount, ReimAmountSourceTypeEnum sourcetype) {
        this.userId = userId;
        this.companyId = companyId;
        this.expenseItemId = expenseItemId;
        this.currencyId = currencyId;
        this.amount = amount;
        this.sourcetype = sourcetype;
    }

    public PersonReimQuotaVO(Long userId, Long companyId, Long expenseItemId, Long currencyId, BigDecimal amount, ReimAmountSourceTypeEnum sourcetype, String sourcebillid) {
        this.userId = userId;
        this.companyId = companyId;
        this.expenseItemId = expenseItemId;
        this.currencyId = currencyId;
        this.amount = amount;
        this.sourcetype = sourcetype;
        this.sourcebillid = sourcebillid;
    }

    public PersonReimQuotaVO(Long userId, Long companyId, Long expenseItemId, Long currencyId, BigDecimal amount, ReimAmountSourceTypeEnum sourcetype, String sourcebillid, String limitRelasetId) {
        this.userId = userId;
        this.companyId = companyId;
        this.expenseItemId = expenseItemId;
        this.currencyId = currencyId;
        this.amount = amount;
        this.sourcetype = sourcetype;
        this.sourcebillid = sourcebillid;
        this.limitRelasetId = limitRelasetId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getExpenseItemId() {
        return expenseItemId;
    }

    public void setExpenseItemId(Long expenseItemId) {
        this.expenseItemId = expenseItemId;
    }

    public Long getCurrencyId() {
        return currencyId;
    }

    public void setCurrencyId(Long currencyId) {
        this.currencyId = currencyId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public ReimAmountSourceTypeEnum getSourcetype() {
        return sourcetype;
    }

    public void setSourcetype(ReimAmountSourceTypeEnum sourcetype) {
        this.sourcetype = sourcetype;
    }

    public String getSourcebillid() {
        return sourcebillid;
    }

    public void setSourcebillid(String sourcebillid) {
        this.sourcebillid = sourcebillid;
    }

    public String getLimitRelasetId() {
        return limitRelasetId;
    }

    public void setLimitRelasetId(String limitRelasetId) {
        this.limitRelasetId = limitRelasetId;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public int getMonth() {
        return month;
    }

    public void setMonth(int month) {
        this.month = month;
    }
}